package com.fastcashier.lib_common.function.pay

class MiYaPayPlantformPayWayEnum {
    enum class MiyaPayType(
        /**
         * code
         */
        var code: String,
        /**
         * 支付类型名称
         */
        var desc: String
    ) {
        WEIXIN("1", "微信"),
        MIAOJIE("2", "喵街"),
        ALIPAY("3", "支付宝"),
        BAIDU("4", "百度"),
        YIZHIFU("5", "翼支付"),
        QQ("6", "QQ钱包"),
        YINSHANG("7", "银商资讯"),
        SUNING("8", "苏宁易付宝"),
        WENZHONG("9", "微众有折"),
        DAZHONGDIANPING("A", "大众点评"),
        YINSHANGPRE("B", "银商预付卡"),
        JINGDONG("C", "京东"),
        ALIPAY_L2("D", "支付宝"),
        ZHAOSHANGYINHANG("E", "招行"),
        ALIPAYINTERNATION("F", "支付宝国际"),
        WEIXININTERNATION("H", "微信国际"),
        BAINUO("I", "百糯"),
        GONGHANG("K", "工行"),
        FEIFAN("L", "飞凡"),
        HUARUIYINHANG("M", "华润银行"),
        JINGDONG2("P", "京东钱包2.0"),
        RUNQIANBAO("T", "润钱包"),
        YIDONG("U", "移动钱包"),
        MINSHENG("S", "民生银行"),
        YINLIANSHANGWU("Q", "银联商务"),
        TONGLIANZHIFU("N", "通联支付"); //N实际上是银联钱包，但是匡威平台银联支付走的是通联支付的渠道，app内默认处理成通联支付的形式
        //        YINLIANQIANBAO("N", "银联钱包");
        /**
         * 资源id
         */
        var resId = 0

        companion object {
            fun find(code: String): MiyaPayType? {
                for (ec in values()) {
                    if (ec.code == code) {
                        return ec
                    }
                }
                return null
            }
        }
    }
}